import React from 'react';
import 'bootstrap/dist/css/bootstrap.min.css';
import '../../css/common/NavFooter.css';
import styled from "@emotion/styled";

const LogoStyled = styled.div`
  padding: 38px 0;
  background-color: ${(props) => props.backcolor || "white"};
`;

function Nav( {backcolor=""} ){
    return(
        <LogoStyled backcolor={backcolor}>
        <div className='container'>
            
                <svg width="158" height="25" viewBox="0 0 158 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M28.3052 20.2027L17.4743 2.15299C17.1165 1.56214 16.7017 1.11472 16.2458 0.824752C15.7725 0.523872 15.2644 0.371094 14.7341 0.371094C13.6449 0.371094 12.7379 0.972854 12.0414 2.15767L1.28163 20.3243C1.02202 20.7779 0.890625 21.2815 0.890625 21.8178C0.890625 22.1685 0.963444 22.5146 1.10433 22.8467C1.24205 23.1725 1.43518 23.4671 1.67422 23.7228C1.91167 23.9769 2.1792 24.1843 2.4673 24.3402C2.78074 24.5101 3.10842 24.5958 3.44086 24.5958C3.79387 24.5958 4.15638 24.4883 4.5173 24.2778C4.87032 24.0705 5.18217 23.7493 5.44337 23.319L8.18989 18.7123H21.3748L24.0976 23.2489C24.6263 24.1188 25.326 24.56 26.1761 24.56C26.4848 24.56 26.7982 24.4836 27.1085 24.3308C27.4029 24.1858 27.6704 23.9894 27.9016 23.7446C28.1327 23.4999 28.321 23.2115 28.4619 22.8841C28.6044 22.5505 28.6756 22.1919 28.6756 21.8178C28.6756 21.5574 28.6566 21.2971 28.6202 21.043C28.5791 20.753 28.473 20.4708 28.3052 20.2027ZM18.69 13.5895H10.786L14.78 6.68646L18.69 13.5895Z" fill="#0064BF"/>
                <path d="M46.5684 0.550293H32.3213C31.5488 0.550293 30.2539 0.858968 30.2539 2.92927V22.0344C30.2539 24.1359 31.5488 24.4492 32.3213 24.4492H46.5178C52.1169 24.4492 54.9568 22.1217 54.9568 17.5305V7.14315C54.9552 2.7687 52.1343 0.550293 46.5684 0.550293ZM49.9307 7.39726V17.3123C49.9307 17.7753 49.9307 19.183 46.4671 19.183H35.356V5.78062H46.5178C49.9307 5.78062 49.9307 6.99817 49.9307 7.39726Z" fill="#0064BF"/>
                <path d="M82.5503 1.25824C82.3112 1.00725 82.0326 0.812378 81.7208 0.679866C81.0132 0.377427 80.2692 0.419519 79.6106 0.793671C79.2386 1.00569 78.9173 1.35957 78.6608 1.83974L69.5031 18.2307L60.1713 1.8335C59.8942 1.3549 59.5998 1.01816 59.2705 0.806142C58.9318 0.587887 58.5423 0.47876 58.1149 0.47876C57.4643 0.47876 56.8707 0.737548 56.3499 1.24577C55.8291 1.75555 55.5631 2.39629 55.5631 3.14771C55.5631 3.73388 55.7119 4.28731 56.0095 4.79397L66.736 22.8016C67.0589 23.3955 67.4515 23.8445 67.9043 24.1392C68.3697 24.4416 68.8762 24.5959 69.4065 24.5959C70.5257 24.5959 71.4724 23.9848 72.2259 22.7735L82.927 4.72538C83.1898 4.29199 83.3244 3.74947 83.3244 3.11185C83.3244 2.76108 83.2516 2.41811 83.1075 2.09385C82.9666 1.78205 82.7798 1.50144 82.5503 1.25824Z" fill="#0064BF"/>
                <path d="M104.348 19.183H92.4457C89.0074 19.183 89.0074 17.9935 89.0074 17.6038V15.2607H104.348C105.121 15.2607 106.416 14.9193 106.416 12.6276C106.416 10.3687 105.121 10.0304 104.348 10.0304H89.0074V7.39726C89.0074 6.06123 91.5006 5.78062 93.5934 5.78062H95.8618C96.6438 5.78062 97.9546 5.44388 97.9546 3.18338C97.9546 0.891706 96.6438 0.550293 95.8618 0.550293H92.5739C86.8228 0.550293 83.9053 2.7687 83.9053 7.14315V17.967C83.9053 22.2698 86.7278 24.4508 92.2937 24.4508H104.35C105.132 24.4508 106.443 24.114 106.443 21.8535C106.441 19.5307 105.13 19.183 104.348 19.183Z" fill="#0064BF"/>
                <path d="M131.035 0.442871C129.423 0.442871 128.535 1.37825 128.535 3.07596V15.9499L114.057 1.44996L114.043 1.43593C113.717 1.13661 113.36 0.899647 112.985 0.735956C112.596 0.566029 112.221 0.478727 111.868 0.478727C111.097 0.478727 110.416 0.768695 109.845 1.34083C109.275 1.91142 108.987 2.71428 108.987 3.72917V21.8895C108.987 23.6574 109.892 24.6318 111.537 24.6318C112.452 24.6318 113.986 24.2748 113.986 21.8895V8.80827L128.594 23.6278C128.898 23.9255 129.233 24.1687 129.589 24.3465C129.968 24.5351 130.351 24.6318 130.729 24.6318C131.497 24.6318 132.163 24.3091 132.711 23.673C133.24 23.0588 133.509 22.2263 133.509 21.2005V3.07596C133.509 1.37669 132.63 0.442871 131.035 0.442871Z" fill="#0064BF"/>
                <path d="M154.994 0.550293H136.77C135.978 0.550293 134.652 0.877675 134.652 3.07426C134.652 5.42829 135.978 5.78062 136.77 5.78062H143.395V21.8894C143.395 24.2746 144.945 24.6316 145.869 24.6316C147.481 24.6316 148.369 23.6573 148.369 21.8894V5.78062H154.994C155.785 5.78062 157.112 5.42985 157.112 3.07426C157.112 0.879234 155.784 0.550293 154.994 0.550293Z" fill="#0064BF"/>
                </svg>
            
        </div>
        </LogoStyled>
    );
}
export default Nav;
